import { HttpStatus, HttpException } from '@nestjs/common';
import { TipoUbicacionService } from './tipo-ubicacion.service';
import { CreateTipoUbicacionDto } from './dto/create-tipo-ubicacion.dto';
import { UpdateTipoUbicacionDto } from './dto/update-tipo-ubicacion.dto';
export declare class TipoUbicacionController {
    private tipoUbicacionService;
    constructor(tipoUbicacionService: TipoUbicacionService);
    getTipoVistaAll(): Promise<{
        statusCode: HttpStatus;
        message: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        data: {
            error: HttpException;
            status: HttpStatus;
            message: string;
            data?: undefined;
        } | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            message: string;
            status: HttpStatus;
            error?: undefined;
        };
    }>;
    getTipoVista(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
        data: {
            error: HttpException;
            status: HttpStatus;
            message: string;
            data?: undefined;
            meta?: undefined;
        } | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            message: string;
            status: HttpStatus;
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
            error?: undefined;
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: {
            error: HttpException;
            status: HttpStatus;
            message: string;
            data?: undefined;
            meta?: undefined;
        } | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            message: string;
            status: HttpStatus;
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
            error?: undefined;
        };
    }>;
    getTipoOperacionById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createTipoOperacion(newTipoUbicacion: CreateTipoUbicacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateTipoOperacion(id: number, tipoUbicacion: UpdateTipoUbicacionDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteTipoOperacion(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
